Bug 55922 - saslpasswd: generic failure
saslpasswd: generic failure
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cyrus-sasl (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-08 15:05 EST by Mike McLean
Modified: 2008-01-17 12:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:23:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael A. McLean 2001-11-08 15:05:39 EST
*re1107.1

When first run (and there is no sasldb in /etc), sasl creates the file and
apparently does its job, but exits with an error.

[root@ha7 root]# saslpasswd -c foo
Password: 
Again (for verification): 
saslpasswd: generic failure
[root@ha7 root]# echo $?
1
Comment 1 Chris Ricker 2002-04-02 23:48:51 EST
Actually, it doesn't do its job.  It only adds the passwd in two of three forms,
digest-md5 and cram-md5 (but not plain).  Subsequent additions do add all three
forms, however:

[kaboom@dagnar etc]$ sudo saslpasswd -c ming-sasl -u mail.lenin.nu
Password: 
Again (for verification): 
saslpasswd: generic failure
[kaboom@dagnar etc]$ sudo /usr/sbin/sasldblistusers 
user: ming-sasl realm: mail.lenin.nu mech: DIGEST-MD5
user: ming-sasl realm: mail.lenin.nu mech: CRAM-MD5
[kaboom@dagnar etc]$ sudo saslpasswd -c frob-sasl -u mail.lenin.nu
Password: 
Again (for verification): 
[kaboom@dagnar etc]$ sudo /usr/sbin/sasldblistusers 
user: ming-sasl realm: mail.lenin.nu mech: DIGEST-MD5
user: ming-sasl realm: mail.lenin.nu mech: CRAM-MD5
user: frob-sasl realm: mail.lenin.nu mech: DIGEST-MD5
user: frob-sasl realm: mail.lenin.nu mech: PLAIN
user: frob-sasl realm: mail.lenin.nu mech: CRAM-MD5
[kaboom@dagnar etc]$ 

This is a problem when creating accounts which have to be in plain format (eg,
for drek like Outlook).

It's also still true as of skipjack beta3
Comment 2 Chris Ricker 2002-06-10 00:30:41 EDT
This is still true with 7.3 gold
Comment 3 Chris Ricker 2002-07-09 22:20:00 EDT
Still broken with milan beta3
Comment 4 Chris Ricker 2002-08-30 09:45:33 EDT
Still broken with beta5....
Comment 5 Chris Ricker 2002-10-04 18:12:56 EDT
still broken with RHL 8.0
Comment 6 Bill Nottingham 2006-08-05 01:41:43 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2007-01-02 14:23:55 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.